* EXEDU.SPS: Mamadou Louda Bah 23/09/2004.
* But:  Cre le fichiers des dpenses scolaires annuelles EXFDBUY.SAV en utilisant:.
*        le fichier aggrg des dpenses  B1AGRPROD.SAV.

* AGGREGATION DES DEPENSES D'EDUCATION. 
* Ouverture fichier.
GET
  FILE='C:\Eibep\AggrBudg\WorkData\B1AGPROD.SAV'.

FILTER OFF.
USE ALL.
SELECT IF(TYPC=6 and ((codpr>=2801 and codpr<=2814) or codpr=3225)).
EXECUTE .

RENAME VARIABLES (CODPR MONTANT = CODEPROD MONTP1).

COMPUTE MONTANT=MONTP1/124*365.
EXECUTE. 

* Frais d'inscription et de rinscription, frais de scolarit (EDTUITON).
IF (codeprod = 2801 or  codeprod = 2802 or  codeprod = 2807 or  codeprod = 3225)  postedep = 31.

* Frais relatifs  l'achat de livres et de papeterie (EDBOOKS).
IF (codeprod = 2805 or codeprod = 2806) postedep = 32.

* Frais relatifs  l'achat de tenues (EDUNIFMS).
IF (codeprod = 2803) postedep = 33.

* Frais relattifs aux activits extrascolaires (EDEXTRA).
IF (codeprod = 2811) postedep = 34.

* Frais de cantine et d'internat y inclure la restauration des demi-pensions (EDRMBRD).
IF (codeprod = 2810) postedep = 35.

* Frais de transport scolaire (EDTRNSP).
IF ( codeprod = 2809 ) postedep = 36.

* frais d'entretien des locaux scolaires et autres frais pays de la main  la main (EDMTNCE).
IF (codeprod = 2808 or codeprod = 2813) postedep = 37.

* Dpenses d'ducation non mentionnes ci-dessus (EDOTHER).
IF (codeprod = 2804 or codeprod = 2814) postedep = 38.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(postedep>0 and montant>0).
EXECUTE .

SORT CASES BY
  s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

AGGREGATE
  /OUTFILE=*
  /BREAK=s0q5 s0q6 postedep codeprod
  /montant = SUM(montant).

MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\WorkData\MENAGES.SAV'
 /BY s0q5 s0q6.
EXECUTE.

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXEDUDET.SAV'
  /KEEP=s0q1 s0q2 s0q3 s0q4 s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXEDUDET.SAV'.

FORMATS postedep (F2.0).

VARIABLE LABELS
  postedep "Poste de dpense"
  codeprod "Code produit"
  montant "Montant dpense".

VALUE LABELS postedep
31 "Inscription et scolarit"
32 "Livres et papeterie"
33 "Tenues"
34 "Activits extrascolaires"
35 "Cantine et 'internat"
36 "Transport scolaire"
37 "Entretien locaux scolaires et autres cotisations"
38 "Dpenses d'ducation non mentionnes ailleurs"
/codeprod 
2801 "Frais d'inscription et de rinscription"
2802 "Frais de scolarit cole prive"
2803 "Tenues scolaires"
2804 "Tenues de sport pour cole/autres tenues"
2805 "Livres scolaires/polycopies"
2806 "Fournitures scolaires"
2807 "Livret scolaire"
2808 "Cotisation des parents d'lves"
2809 "Transport aller/retour  l'cole"
2810 "Cantine, nourriture et pensions/hbergement"
2811 "Sortie/excursion/manifestation/club"
2812 "Bourse d'tude"
2813 "Frais de leons scolaires particulires"
2814 "Autres dpenses scolaires"
3225 "Assurance scolaire".

SORT CASES BY
  s0q1 (A) s0q2 (A) s0q3 (A) s0q4 (A) s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXEDUDET.SAV'
  /COMPRESSED.

* CREATION DU FICHIER AGGREGE EXEDU.SAV.

COMPUTE hid = s0q5*1000+s0q6 .
EXECUTE .

* Frais d'inscription et de rinscription, frais de scolarit (EDTUITON).
 IF (postedep=31) EDTUITON = MONTANT .

* Frais relatifs  l'achat de livres et de papeterie (EDBOOKS).
IF (postedep=32) EDBOOKS = MONTANT .

* Frais relatifs  l'achat de tenues (EDUNIFMS).
  IF (postedep=33) EDUNIFMS = MONTANT.

* Frais relattifs aux activits extrascolaires (EDEXTRA).
 IF (postedep=34) EDEXTRA = MONTANT.

* Frais de cantine et d'internat y inclure la restauration des demi-pensions (EDRMBRD).
 IF (postedep=35) EDRMBRD = MONTANT.

* Frais de transport scolaire.
  IF (postedep=36) EDTRNSP = MONTANT.

* frais d'entretien des locaux scolaires et autres frais pays de la main  la main (EDMTNCE).
  IF (postedep=37) EDMTNCE = MONTANT.

* Dpenses d'ducation non mentionnes ci-dessus (EDOTHER).
IF (postedep=38) EDOTHER = MONTANT.

* Dpenses d'ducation n'apparaissant que sous une seule rubrique (EDAGG).
COMPUTE EDAGG = 0 .
EXECUTE.

SORT CASES BY
  s0q1 (A) s0q2 (A) hid (A) .

AGGREGATE
  /OUTFILE='C:\Eibep\AggrBudg\AggrData\EXEDU.SAV'
  /BREAK=s0q1 s0q2 hid
  /edtuiton = SUM(edtuiton) /edbooks = SUM(edbooks) /edunifms = SUM(edunifms)
  /edextra = SUM(edextra) /edrmbrd = SUM(edrmbrd) /edtrnsp =  SUM(edtrnsp)
 /edmtnce = SUM(edmtnce) /edother = SUM(edother) /edagg = SUM(edagg).

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXEDU.SAV'.

* Dpenses totales d'ducation (EDTEXP).
COMPUTE edtexp = SUM(edtuiton,edbooks,edunifms,edextra,edrmbrd,edtrnsp,edmtnce,edother,edagg) .
EXECUTE .

formats edtuiton edbooks edunifms edextra edrmbrd edtrnsp edmtnce edother edagg edtexp hid(F8.0) .

MATCH FILES /FILE=*
 /FILE='C:\Eibep\AggrBudg\WorkData\MS00b.sav'
 /BY s0q1 s0q2 hid.
EXECUTE.

RECODE
  edtuiton edbooks edunifms edextra edrmbrd edtrnsp edmtnce edother edtexp  (SYSMIS=0) .
EXECUTE .

RECODE
  edagg (0=SYSMIS).
EXECUTE .

VARIABLES LABELS
 HID "Identifiant (ID) unique du mnage"
 EDTUITON "Inscription et scolarit"
 EDBOOKS "Livres et papeterie"
 EDUNIFMS "Tenues"
 EDEXTRA "Activits extrascolaires"
 EDRMBRD "Cantine et d'internat"
 EDTRNSP "Transport scolaire"
 EDMTNCE "Entretien locaux scolaires et autres cotisations"
 EDOTHER "Dpenses d'ducation non mentionnes ailleurs"
 EDAGG "Dpenses d'ducation n'apparaissent que sous une seule rubrique"
 EDTEXP "Total des dpenses scolaires".

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXEDU.SAV'
  /COMPRESSED.
