* EXFDPRD.SPS: Mamadou Louda Bah 23/09/2004.
* But:  Cre le fichiers autoconsommation, prlevements et trocs alimentaires annuelles EXFDPRD.SAV en utilisant les donnes du 1er passage.
*      a)  partir des fichiers des sections suivantes du questionnaire budgtaire.
*        - Section 1 partie C (Autoconsommation).
*        - Section 1 partie D (Prlvements).
*        - Section 1 partie E (Trocs).
*      b)  partir des fichiers des sections suivantes du questionnaire mnage.
*        - Section 9 partie B (transferts reus par le mnage).
*        - Section 4 partie B (Occupation principale, paiement en nature q21).
*        - Section 4 partie C (Occupation secondaire, paiement en nature q15).

*AGGREGATION AUTOCONSOMMATION PRELEVEMENT ET TROCS SECTION 1 C SECTION 1 D SECTION 1 E.
* Ouverture fichier.
GET
  FILE='C:\Eibep\AggrBudg\WorkData\B1AGPROD.SAV'.

FILTER OFF.
USE ALL.
SELECT IF(TYPC>=2 and TYPC<=4).
EXECUTE .

RENAME VARIABLES (CODPR MONTANT = CODEPROD MONTP1).

RECODE
  CODEPROD  (4001 thru 4967=2900)  .
EXECUTE .

COMPUTE MONTANT=MONTP1/124*365.
EXECUTE. 

* Consommation de pains, crales, farine de manioc, plantain, pommes de terre, couscous, etc..(FDBRDPR).
IF (codeprod>=101 and codeprod<=109 or codeprod>=111 and codeprod<=116 or codeprod>=121 and codeprod<=126 or
     codeprod>=131 and codeprod<=135 or codeprod>=141 and codeprod<=145 or codeprod>=151 and codeprod<=153 or
     codeprod>=161 and codeprod<=164 or codeprod>=171 and codeprod<=175 or codeprod>=191 and codeprod<=193 or
     codeprod>=741 and codeprod<=752)
  postedep = 19.

* Viandes et volailles, y compris les viandes de gibier et leurs sous-produits, sauf les matires grasses( FDMEATPR).
IF (codeprod>=201 and codeprod<=208 or codeprod>=211 and codeprod<=221 or codeprod>=231 and codeprod<=236 )
  postedep = 20.

* Poissons, crustacs, escargots terrestres, crabes terrestres, et grenouilles (FDFISHPR).
IF (codeprod>=301 and codeprod<=303 or codeprod>=311 and codeprod<=312 or codeprod>=321 and codeprod<=322 or
     codeprod>=331 and codeprod<=332 or codeprod>=341 and codeprod<=343 or codeprod>=351 and codeprod<=353 or
     codeprod>=361 and codeprod<=362 or codeprod>=371 and codeprod<=372 or codeprod>=381 and codeprod<=384)
  postedep = 21.

* Lait, fromage, autres produits laitiers et oeufs (FDDAIRPR).
IF (codeprod>=401 and codeprod<=405 or codeprod>=411 and codeprod<=415 or codeprod>=421 and codeprod<=424 or
     codeprod>=431 and codeprod<=432)
  postedep = 22.

* Huile vgtale, graisses animales, et noix riches en huile (FDFATSPR).
IF (codeprod>=501 and codeprod<=505 or codeprod>=511 and codeprod<=515 or codeprod>=781 and codeprod<=782 or
     codeprod>=631 and codeprod<=632 )
  postedep = 23.

* Fruits (FDFRUTPR).
IF (codeprod>=601 and codeprod<=606 or codeprod>=611 and codeprod<=616 or codeprod>=621 and codeprod<=625 or
     codeprod=633 or codeprod=636 or codeprod>=641 and codeprod<=648 or codeprod=651)
  postedep = 24.

* Lgumes (FDVEGPR).
IF (codeprod>=701 and codeprod<=708 or codeprod>=711 and codeprod<=718 or codeprod>=721 and codeprod<=728 or
     codeprod>=731 and codeprod<=732 or codeprod>=761 and codeprod<=767 or codeprod>=771 and codeprod<=773)
  postedep = 25.

* Sucreries, desserts, biscuits, bonbons, confitures, miel  (FDSWTPR).
IF (codeprod>=801 and codeprod<=802 or codeprod>=811 and codeprod<=816 or codeprod>=181 and codeprod<=189) 
  postedep = 26.

* Toutes les boissons non alcoolises,dont le caf, le th, l'eau minrale, les sodas, les jus de fruits (FDBEVPR).
IF (codeprod=634 or codeprod=635 or codeprod>=1001 and codeprod<=1006 or codeprod>=1011 and codeprod<=1037) 
  postedep = 27.

* Toutes les boissons alcoolises (FDALCPR).
IF (codeprod>=1051 and codeprod<=1068)
  postedep = 28.

* Elments non mentionns ailleurs (FDOTHPR).
IF (codeprod>=901 and codeprod<=909 or codeprod>=911 and codeprod<=919 or codeprod>=2900 and codeprod<=2909)
  postedep = 29.
EXECUTE .

SAVE OUTFILE='C:\Eibep\AggrBudg\WorkData\AGRBS1CDE.SAV'
  /KEEP=s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

* AGGREGATION DES TRANSFERTS RECUS PAR LE MENAGE.
* Ouverture fichier Transferts reus par le mnage.
GET
  FILE='C:\Eibep\AggrBudg\WorkData\EIBTRAN10.SAV'.

* On prend en compte les transferts alimentaires uniquement.
FILTER OFF.
USE ALL.
SELECT IF(deptralt>0).
EXECUTE .

* Transferts alimentaires reus par le mnage (lments non mentionns ailleurs, FDOTHPR).
COMPUTE postedep = 29.
COMPUTE codeprod = 1040.
COMPUTE montant = deptralt.
EXECUTE .

SAVE OUTFILE='C:\Eibep\AggrBudg\WorkData\AGRMS09B.SAV'
  /KEEP=s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

*AGGREGATION DES PAIEMENTS SOUS FORME DE NOURRITURE, PROD. AGRIC. OU ANIMAUX SECTION 4 B EMPLOI.
* Ouverture fichier .
GET
  FILE='C:\Eibep\AggrBudg\WorkData\EIBALTR10.SAV'.

FILTER OFF.
USE ALL.
SELECT IF(altip>0).
EXECUTE .

* Paiements sous forme de nourriture, produits agricoles ou animaux (lments non mentionns ailleurs, FDOTHPR).
COMPUTE postedep = 29.
COMPUTE codeprod = 1041.
COMPUTE montant = altip.
EXECUTE .

SAVE OUTFILE='C:\Eibep\AggrBudg\WorkData\AGRMS04BC.SAV'
  /KEEP=s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\WorkData\AGRBS1CDE.SAV'.
ADD FILES /FILE=*
 /FILE='C:\Eibep\AggrBudg\WorkData\AGRMS09B.SAV'
 /FILE='C:\Eibep\AggrBudg\WorkData\AGRMS04BC.SAV'.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(postedep>0 and montant>0).
EXECUTE .

SORT CASES BY
  s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

AGGREGATE
  /OUTFILE=*
  /BREAK=s0q5 s0q6 postedep codeprod
  /montant = SUM(montant).

MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\WorkData\MENAGES.SAV'
 /BY s0q5 s0q6.
EXECUTE.

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXFDPRDDET.SAV'
  /KEEP=s0q1 s0q2 s0q3 s0q4 s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXFDPRDDET.SAV'.

FORMATS postedep (F2.0).

VARIABLE LABELS
  postedep "Poste de dpense"
  codeprod "Code produit"
  montant "Montant dpense".

VALUE LABELS
postedep
  19 "Pains, rizs, cereales"
  20 "Viandes et volailles, y compris les viandes de gibier"
  21 "Poissons, crustacs, escargots et crabes terrestres, etc."
  22 "Lait, fromage, autres produits laitiers et oeufs "
  23 "Huile vgtale, graisses animales, et noix riches en huile"
  24 "Fruits"
  25 "Lgumes"
  26 "Sucreries, desserts, biscuits, bonbons, confitures, miel "
  27 "Boissons non alcoolises"
  28 "Boissons alcoolises "
  29 "Elments non mentionns ailleurs "
/codeprod
   101 "Riz paddy"
   102 "Riz blanc local"
   103 "Riz barabara local"
   104 "Riz import 25 % brisure"
   105 "Riz import caroline"
   106 "Brisure de riz"
   107 "Farine de riz"
   108 "Semoule de riz"
   109 "Couscous de riz"
   111 "Mil pi"
   112 "Mil Grain non tuv"
   113 "Mil Grain tuv"
   114 "Farine de mil"
   115 "Semoule de mil"
   116 "Couscous de mil"
   121 "Sorgho pi"
   122 "Sorgho Grain non tuv"
   123 "Sorgho Grain tuv"
   124 "Farine de sorgho"
   125 "Semoule de sorgho"
   126 "Couscous de sorgho"
   131 "Mas pi"
   132 "Mas Grain"
   133 "Farine de mas"
   134 "Semoule de mas"
   135 "Couscous de mas"
   141 "Fonio Grain non tuv"
   142 "Fonio Grain tuv non lav"
   143 "Fonio Grain tuv lav"
   144 "Farine de fonio"
   145 "Couscous de fonio"
   151 "Farine de bl"
   152 "Semoule de bl"
   153 "Couscous de bl"
   161 "Crlac en bote"
   162 "Quaker"
   163 "Mas souffl"
   164 "Autres produits  base de crales (Kabiss, tiakirri, etc)"
   171 "Pain de boulangerie tapalapa"
   172 "Pain de boulangerie libanais"
   173 "Autres pains de boulangeie"
   174 "Pain de maison"
   175 "Pain sch pour couscous ou autres prparations"
   181 "Gteaux traditionnels"
   182 "Biscuit local"
   183 "Biscuit import"
   184 "Croissant"
   185 "Pain au raisin"
   186 "Tartes"
   187 "Madeleine"
   188 "Autres produits ptisserie moderne"
   189 "Autres produits ptis. traditionnelle"
   191 "Macaroni"
   192 "Spaghetti"
   193 "Autres ptes alimentaires"
   201 "Buf sur pied"
   202 "Mouton sur pied"
   203 "Chvre sur pied"
   204 "Porc sur pied"
   205 "Autre animaux sur pied"
   206 "Poulet sur pied"
   207 "Canard sur pied"
   208 "Autre volaille sur pied"
   211 "Viande de buf/veau"
   212 "Viande de mouton"
   213 "Viande de chvre"
   214 "Viande de porc"
   215 "Viande de lapin"
   216 "Viande d'agoutis"
   217 "Viande de gibier"
   218 "Autres viandes et assimils"
   219 "Conserve viande de buf/veau"
   220 "Conserve viande de porc"
   221 "Autres conserves de viande"
   231 "Viande de poulet"
   232 "Viande de canard"
   233 "Viande de pintade"
   234 "Viande autre volaille"
   235 "Conserve de poulet"
   236 "Conserve autre volaille"
   301 "Bonga frais"
   302 "Bonga fum"
   303 "Bonga Sri (sardinelle) fum"
   311 "Sinapa frais"
   312 "Sinapa fum"
   321 "Silure frais"
   322 "Silure fum"
   331 "Konko frais"
   332 "Konko fum"
   341 "Sardine frais"
   342 "Sardine fum"
   343 "Conserve de Sardine"
   351 "Thon frais"
   352 "Thon fum"
   353 "Conserve de Thon"
   361 "Kouta frais"
   362 "Kouta fum"
   371 "Sori frais"
   372 "Sori fum"
   381 "Crevette (Sanfou) sch/Ecrevisse"
   382 "Crabe"
   383 "Autre produit de la pche frais"
   384 "Autre produit de la pche fum"
   401 "Lait frais"
   402 "Lait caill"
   403 "Lait pasteuris"
   404 "Lait strilis"
   405 "Autres laits frais"
   411 "Lait concentr sucr en bote"
   412 "Lait concentr non sucr en bote"
   413 "Lait en poudre ordinaire"
   414 "Lait en poudre dittique"
   415 "Autres laits concentr ou en poudre"
   421 "Fromage"
   422 "Yaourt"
   423 "Crme glace"
   424 "Autres produits laitiers"
   431 "ufs de poule"
   432 "Autres ufs"
   501 "Beurre de vache local"
   502 "Beurre animal import"
   503 "Margarine"
   504 "Pte d'arachide"
   505 "Autres matires grasses"
   511 "Huile d'arachide"
   512 "Huile de palme"
   513 "Huile de palmiste"
   514 "Beurre de karit"
   515 "Autres huiles"
   601 "Orange"
   602 "Mandarine"
   603 "Citron"
   604 "Pamplemousse"
   605 "Bigarade"
   606 "Autres agrumes"
   611 "Goyave"
   612 "Melon"
   613 "Pastque"
   614 "Papaye"
   615 "Pomme"
   616 "Autres fruits  ppin"
   621 "Mangue ordinaire"
   622 "Mangue greffe"
   623 "Avocat"
   624 "Dattes"
   625 "Autres fruits  noyau"
   631 "Noix de palme"
   632 "Noix de coco"
   633 "Graines de nr/Nr"
   634 "Caf"
   635 "Cacao"
   636 "Autres noix"
   641 "Banane douce"
   642 "Ananas"
   643 "Fruits sauvages"
   644 "Anacardier (Pomme d'acajou)"
   645 "Coton"
   646 "Tamarin"
   647 "Fruit arbre  pain"
   648 "Autres fruits"
   651 "Fruits en conserves"
   701 "Choux"
   702 "Salade/laitue"
   703 "Persil"
   704 "Feuille de manioc"
   705 "Feuille de patate"
   706 "Feuilles d'oignon"
   707 "Feuilles d'pinard"
   708 "Autres feuilles vertes"
   711 "Oignon frais/sec"
   712 "Carotte"
   713 "Radis"
   714 "Betterave"
   715 "Navet"
   716 "Poireau"
   717 "Cleri"
   718 "Autres lgumes  tubercules"
   721 "Gombo"
   722 "Courges"
   723 "Courgettes"
   724 "Concombre"
   725 "Aubergine ronde"
   726 "Aubergine longue"
   727 "Tomate"
   728 "Autres lgumes"
   731 "Tomate en conserve"
   732 "Autres lgumes en conserves"
   741 "Igname"
   742 "Patate douce"
   743 "Pomme de terre"
   744 "Manioc frais"
   745 "Manioc sch"
   746 "Manioc farine"
   747 "Foufou"
   748 "Atik"
   749 "Taro frais"
   750 "Taro sch"
   751 "Banane plantain (locco)"
   752 "Autres tubercules"
   761 "Nib"
   762 "Ssame"
   763 "Petit pois sec"
   764 "Petit pois vert"
   765 "Haricot sec"
   766 "Haricot vert"
   767 "Autres lgumineuses"
   771 "Petit pois en conserve"
   772 "Haricot en conserve"
   773 "Autres lgumineuses en conserve"
   781 "Arachide en coque"
   782 "Arachide en graine"
   801 "Sucre en morceaux"
   802 "Sucre en poudre"
   811 "Miel"
   812 "Bonbon"
   813 "Chocolat"
   814 "Confiture"
   815 "Canne  sucre"
   816 "Autres produits sucrs"
   901 "Poivre"
   902 "Poivron"
   903 "Soumbara"
   904 "Feuilles de laurier"
   905 "Safran"
   906 "Autres condiments d'origine vgtale"
   907 "Piment frais"
   908 "Petit piment sec"
   909 "Ail"
   911 "Sel  de cuisine locale"
   912 "Sel de cuisine import"
   913 "Potasse"
   914 "Vinaigre"
   915 "Moutarde"
   916 "Mayonnaise"
   917 "Bouillon (cube 10g)"
   918 "Cube maggi / arme maggi"
   919 "Autres condiments d'origine non vgtale"
  1001 "Caf moulu local"
  1002 "Caf instantan/Nescaf"
  1003 "Th/ th Ataya"
  1004 "Cacao/Phoscao"
  1005 "Quinquliba"
  1006 "Tisane/Citronnelle"
  1011 "Eau de coyah"
  1012 "Eau minrale importe"
  1013 "Guini-Guini (Sobragui)"
  1014 "American Cola (Coca Sobragui)"
  1015 "Quench Orange (Sobragui)"
  1016 "Quench Citron (Citon Sobragui)"
  1017 "Autres boissons gageuses Sobragui"
  1018 "Coca-Cola Bonagui"
  1019 "Fanta Orange Bonagui"
  1020 "Fanta Cocktail Bonagui"
  1021 "Tonic Swepps Bonagui"
  1022 "Autres boissons Bonagui"
  1023 "Jus d'ananas Salguidia"
  1024 "Jus de bissap (oseille)"
  1025 "Jus de gingembre (djin-djan)"
  1026 "Jus de tamarin"
  1027 "Jus d'ananas"
  1028 "Jus de pain de singe (Baobab)"
  1029 "Autres jus local"
  1030 "Vimto"
  1031 "Coca en bote"
  1032 "Tonic en bote"
  1033 "Malta"
  1034 "Concentr de jus"
  1035 "Sirop"
  1036 "Autres boissons sucres importes"
  1040 "Transferts alimentaire reus"
  1041 "Paiements en nourriture, produits agricoles ou animaux "
  1051 "Skol"
  1052 "Guilux"
  1053 "Guinness"
  1054 "Heineken"
  1055 "Budweiser"
  1056 "Beck's"
  1057 "Autres bires"
  1058 "Vin de palme/vin de raphia"
  1059 "Vin rouge"
  1060 "Vin blanc"
  1061 "Autres vin"
  1062 "TTM"
  1063 "Kinyous"
  1064 "Autres boissons alcoolises traditionnelles"
  1065 "Whisky"
  1066 "Gin"
  1067 "Vodka"
  1068 "Autre liqueur moderne"
  1071 "Cigarette locale"
  1072 "Cigarette importe"
  1073 "Cigare"
  1074 "Tabac pour pipe, tabac  mcher ou  priser"
  1081 "Noix de cola"
  1082 "Autres stimulants"
  2900 "Aliments et boissons consomms hors domicile sans prcision"
  2901 "Petit djeuner pris hors domicile"
  2902 "Repas matin pris hors domicile"
  2903 "Repas midi pris hors domicile"
  2904 "Repas soir pris hors domicile"
  2905 "Autres produits alimentaires pris au bar, restaurant"
  2906 "Boissons non alcoolises pris au bar et caf (hors repas)"
  2907 "Boissons alcoolises pris au bar et caf (hors repas)"
  2908 "Boissons traditionnelles alcoolises pris au bar et caf"
  2909 "Caf noir pris dans un bar/Caf/restaurant".

SORT CASES BY
  s0q1 (A) s0q2 (A) s0q3 (A) s0q4 (A) s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXFDPRDDET.SAV'
  /COMPRESSED.

* CREATION DU FICHIER AGGREGE EXFDPRD.SAV.
* Consommation de pains, crales, farine de manioc, plantain, pommes de terre, couscous, etc..(FDBRDPR).
IF (postedep=19) FDBRDPR = MONTANT .
EXECUTE .

* Viandes et volailles, y compris les viandes de gibier et leurs sous-produits, sauf les matires grasses( FDMEATPR).
IF (postedep=20) FDMEATPR = MONTANT .
EXECUTE .

* Poissons, crustacs, escargots terrestres, crabes terrestres, et grenouilles (FDFISHPR).
IF (postedep=21) FDFISHPR = MONTANT .
EXECUTE .

* Lait, fromage, autres produits laitiers et oeufs (FDDAIRPR).
IF (postedep=22) FDDAIRPR = MONTANT .
EXECUTE .

* Huile vgtale, graisses animales, et noix riches en huile (FDFATSPR).
IF (postedep=23) FDFATSPR = MONTANT .
EXECUTE .

* Fruits (FDFRUTPR).
IF (postedep=24) FDFRUTPR = MONTANT .
EXECUTE .

* Lgumes (FDVEGPR).
IF (postedep=25) FDVEGPR = MONTANT .
EXECUTE .

* Sucreries, desserts, biscuits, bonbons, confitures, miel  (FDSWTPR).
IF (postedep=26) FDSWTPR = MONTANT .
EXECUTE .

* Toutes les boissons non alcoolises,dont le caf, le th, l'eau minrale, les sodas, les jus de fruits (FDBEVPR).
IF (postedep=27) FDBEVPR = MONTANT .
EXECUTE .

* Toutes les boissons alcoolises (FDALCPR).
IF (postedep=28) FDALCPR = MONTANT .
EXECUTE .

* Elments non mentionns ailleurs (FDOTHPR).
IF (postedep=29) FDOTHPR= MONTANT .
EXECUTE .

COMPUTE hid = s0q5*1000+s0q6 .
EXECUTE .

SORT CASES BY
  s0q1 (A) s0q2 (A) hid (A) .

AGGREGATE
  /OUTFILE='C:\Eibep\AggrBudg\AggrData\EXFDPRD.SAV'
  /BREAK=s0q1 s0q2 hid
  /fdbrdpr = SUM(fdbrdpr) /fdmeatpr = SUM(fdmeatpr) /fdfishpr = SUM(fdfishpr)
  /fddairpr = SUM(fddairpr) /fdfatspr = SUM(fdfatspr) /fdfrutpr = SUM(fdfrutpr)
 /fdvegpr = SUM(fdvegpr) /fdswtpr = SUM(fdswtpr) /fdbevpr = SUM(fdbevpr)
 /fdalcpr = SUM(fdalcpr) /fdothpr = SUM(fdothpr).

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXFDPRD.SAV'.

COMPUTE fdtotpr = SUM(fdbrdpr,fdmeatpr,fdfishpr,fddairpr,fdfatspr,fdfrutpr
 ,fdvegpr,fdswtpr,fdbevpr,fdalcpr,fdothpr) .

formats fdbrdpr fdmeatpr fdfishpr fddairpr fdfatspr fdfrutpr fdvegpr fdswtpr fdbevpr fdalcpr fdothpr fdtotpr hid(F8.0).

MATCH FILES /FILE=*
 /FILE='C:\Eibep\AggrBudg\WorkData\MS00b.sav'
 /BY s0q1 s0q2 hid.
EXECUTE.

RECODE
   fdbrdpr fdmeatpr fdfishpr fddairpr fdfatspr fdfrutpr fdvegpr fdswtpr fdbevpr fdalcpr fdothpr fdtotpr (SYSMIS=0).
EXECUTE.

VARIABLES LABELS
  HID "Identifiant (ID) unique du mnage"
  FDBRDPR "Pains, rizs, cereales"
  FDMEATPR "Viandes et volailles, y compris les viandes de gibier"
  FDFISHPR "Poissons, crustacs, escargots et crabes terrestres, etc."
  FDDAIRPR "Lait, fromage, autres produits laitiers et oeufs "
  FDFATSPR "Huile vgtale, graisses animales, et noix riches en huile"
  FDFRUTPR "Fruits"
  FDVEGPR "Lgumes"
  FDSWTPR "Sucreries, desserts, biscuits, bonbons, confitures, miel "
  FDBEVPR "Boissons non alcoolises"
  FDALCPR "Boissons alcoolises "
  FDOTHPR "Elments non mentionns ailleurs "
  FDTOTPR "Total valeur produits alimentaires aux prix locaux courants".

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXFDPRD.SAV'
  /COMPRESSED.

* elimination des fichiers temporaires.
ERASE FILE='C:\Eibep\AggrBudg\WorkData\AGRBS1CDE.SAV'.
ERASE FILE='C:\Eibep\AggrBudg\WorkData\AGRMS09B.SAV'.
ERASE FILE='C:\Eibep\AggrBudg\WorkData\AGRMS04BC.SAV'.
