* EXHLTH.SPS: Mamadou Louda Bah 23/09/2004.
* But:  Cre le fichiers des dpenses scolaires annuelles EXHLTH.SAV en utilisant:.
*        le fichier aggrg des dpenses  B1AGRPROD.SAV.

* AGGREGATION DES DEPENSES DE SANTE DES 4 DERNIERES SEMAINES.
* Ouverture fichier.
GET
  FILE='C:\Eibep\AggrBudg\WorkData\B1AGPROD.SAV'.

FILTER OFF.
USE ALL.
SELECT IF(TYPC=6 and ((codpr>=2001 and codpr<=2151) or codpr=3222)).
EXECUTE .

RENAME VARIABLES (CODPR MONTANT = CODEPROD MONTP1).

COMPUTE MONTANT=MONTP1/124*365.
EXECUTE. 

* Cots de consultations et d'inscription(HLCNSLT).
IF (codeprod=2110 or (codeprod>=2111 and codeprod<=2115) or codeprod=2131) postedep = 41 .

* Dpenses en mdicaments (HLMEDC).
IF (codeprod=2020 or codeprod=2001 or codeprod=2002 or (codeprod>=2004 and codeprod<=2012) or
     codeprod=2021 or codeprod=2022) postedep = 42 .

* Frais de procdures (HLPROC).
IF (codeprod=2120 or (codeprod>=2121 and codeprod<=2127) or codeprod=2133 or codeprod=2134 ) postedep = 43 .

* Frais d'hospitalisations (HLHOSPT).
IF (codeprod=2130 or codeprod=2132) postedep = 44 .

* Frais de transport (HLTRSP).
IF (codeprod=2135 or codeprod=2151) postedep = 45 .

* Assurance mdicale (HLINSURE).
IF (codeprod=3222) postedep = 46 .

* Dpenses lies  d'autres soins (HLOTHER).
IF (codeprod=2100 or codeprod=2140 or codeprod=2003 or (codeprod>=2031 and codeprod<=2034) or
     (codeprod>=2141 and codeprod<=2144)) postedep = 47 .
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(postedep>0 and montant>0).
EXECUTE .

SORT CASES BY
  s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

AGGREGATE
  /OUTFILE=*
  /BREAK=s0q5 s0q6 postedep codeprod
  /montant = SUM(montant).

MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\WorkData\MENAGES.SAV'
 /BY s0q5 s0q6.
EXECUTE.

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXHLTHDET.SAV'
  /KEEP=s0q1 s0q2 s0q3 s0q4 s0q5 s0q6 postedep codeprod montant
  /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXHLTHDET.SAV'.

FORMATS postedep (F2.0).

VARIABLE LABELS
  postedep "Poste de dpense"
  codeprod "Code produit"
  montant "Montant dpense".

VALUE LABELS postedep
41 "Cots de consultations et d'inscription"
42 "Dpenses en mdicaments"
43 "Frais de procdures mdicales"
44 "Frais d'hospitalisation"
45 "Frais de transport"
46 "Assurance mdicale"
47 "Autres dpenses de sant non mentionns ailleurs"
/codeprod 
2001 "Aspirine/Paractamol/Phensic"
2002 "Nivaquine/Chloroquine"
2003 "Contraceptifs oraux (Femmes)"
2004 "Vermox/piprazine sirop"
2005 "Quinimax injectable"
2006 "Serum glucos"
2007 "Ampicilline"
2008 "Mercurochrome"
2009 "Mentholatum"
2010 "Alcool 90/Alcool iod"
2011 "Racine gogo"
2012 "Popa"
2020 "Mdicaments"
2021 "Mdicaments pharmaceutiques"
2022 "Mdicaments traditionnels"
2031 "Compresse"
2032 "Sringue"
2033 "Pansements adhsifs ou non adhsifs"
2034 "Contraceptifs Hommes"
2100 "Appareils thrapeutiques"
2110 "Consultation"
2111 "Consultation mdecin"
2112 "Consultation dentiste"
2113 "Consultation corps paramdical"
2114 "Consultation Tradipraticien/gurisseur/marabout"
2115 "Autres consultations"
2120 "Examen mdicaux"
2121 "Examen de selles"
2122 "Examen de sang/Goutte paisse"
2123 "Examen d'urine"
2124 "Examen radiologie"
2125 "Examen de cardiologie"
2126 "Examen d'chographie"
2127 "Autres examens"
2130 "Services des hpitaux"
2131 "Frais administratifs"
2132 "Frais Hospitalisation"
2133 "Frais de chirurgie"
2134 "Frais d'accouchement"
2135 "Frais d'ambulance"
2140 "Soins mdicaux"
2141 "Soins prnatals"
2142 "Soins postnatal"
2143 "Soins curatifs"
2144 "Autres soins"
2151 "Transport aller retour pour consultation ou soin"
3222 "Assurance mdicale".

SORT CASES BY
  s0q1 (A) s0q2 (A) s0q3 (A) s0q4 (A) s0q5 (A) s0q6 (A) postedep (A) codeprod (A) .

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXHLTHDET.SAV'
  /COMPRESSED.

* CREATION DU FICHIER AGGREGE EXHLTH.SAV.

COMPUTE hid = s0q5*1000+s0q6 .
EXECUTE .

* Cots de consultations et d'inscription(HLCNSLT).
  IF (postedep=41) HLCNSLT = MONTANT .

* Dpenses en mdicaments (HLMEDC).
  IF (postedep=42) HLMEDC = MONTANT .

* Frais de procdures (HLPROC).
  IF (postedep=43) HLPROC = MONTANT .

* Frais d'hospitalisations (HLHOSPT).
  IF (postedep=44) HLHOSPT = MONTANT .

* Frais de transport (HLTRSP).
  IF (postedep=45) HLTRSP = MONTANT .

* Frais d'assurances (HLINSURE).
  IF (postedep=46) HLINSURE = MONTANT .

* Dpenses lies  d'autres soins (HLOTHER).
  IF (postedep=47) HLOTHER = MONTANT .

* Dpenses de soins (HLAGG).
  COMPUTE HLAGG = 0.
EXECUTE .

SORT CASES BY
  s0q1 (A) s0q2 (A) hid (A) .

AGGREGATE
  /OUTFILE='C:\Eibep\AggrBudg\AggrData\EXHLTH.SAV'
  /BREAK=s0q1 s0q2 hid
  /hlcnslt = SUM(hlcnslt) /hlmedc = SUM(hlmedc) /hlproc = SUM(hlproc)
  /hlhospt = SUM(hlhospt) /hltrsp = SUM(hltrsp) /hlinsure = SUM(hlinsure)
  /hlother = SUM(hlother) /hlagg = SUM(hlagg).

GET
  FILE='C:\Eibep\AggrBudg\AggrData\EXHLTH.SAV'.

COMPUTE hltexp = SUM(hlcnslt, hlmedc, hlproc, hlhospt, hltrsp, hlinsure, hlother,hlagg) .
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\Eibep\AggrBudg\WorkData\MS00b.sav'
 /BY s0q1 s0q2 hid.
EXECUTE.

RECODE
  hlcnslt hlmedc hlproc hlhospt hltrsp hlinsure hlother hltexp (SYSMIS=0).
EXECUTE.

RECODE
  hlagg (0=SYSMIS).
EXECUTE.

formats hlcnslt hlmedc hlproc hlhospt hltrsp hlinsure hlother hlagg hltexp hid(F8.0).

VARIABLES LABELS
HID "Identifiant (ID) unique du mnage"
HLCNSLT "Cots de consultations et d'inscription"
HLMEDC "Dpenses en mdicaments"
HLPROC "Frais de procdures mdicales"
HLHOSPT "Frais d'hospitalisation"
HLTRSP "Frais de transport"
HLINSURE "Assurance mdicale"
HLOTHER "Autres dpenses de sant non mentionns ailleurs"
HLAGG "Dpenses de soins de sant n'apparaissent que sous une seule rubrique"
HLTEXP "Total des dpenses en soins de sant aux cots locaux courants".

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\EXHLTH.SAV'
  /COMPRESSED.
