* Programme de creation du fichier d'aggreagation HHSIZE.SAV.

* Selection des membres du menage.
* Creation de la variable identifiant HID.

* Ouverture du fichier des individus.
GET
  FILE='C:\Eibep\AggrBudg\WorkData\M1S01.SAV'.

COMPUTE hid = s0q5*1000+s0q6 .
EXECUTE .

* Creation de la variable equivalent adulte FAO.
IF (s1q4a=0) fao_adq = 0.27 .
IF (s1q4a>=1 and s1q4a<=3) fao_adq = 0.45 .
IF (s1q4a>=4 and s1q4a<=6) fao_adq = 0.61 .
IF (s1q4a>=7 and s1q4a<=9) fao_adq = 0.73 .
IF (s1q1=1 and s1q4a>=10 and s1q4a<=12) fao_adq = 0.86 .
IF (s1q1=2 and s1q4a>=10 and s1q4a<=12) fao_adq = 0.78 .
IF (s1q1=1 and s1q4a>=13 and s1q4a<=15) fao_adq = 0.96 .
IF (s1q1=2 and s1q4a>=13 and s1q4a<=15) fao_adq = 0.83 .
IF (s1q1=1 and s1q4a>=16 and s1q4a<=19) fao_adq = 1.02 .
IF (s1q1=2 and s1q4a>=16 and s1q4a<=19) fao_adq = 0.77 .
IF (s1q1=1 and s1q4a>=20) fao_adq = 1 .
IF (s1q1=2 and s1q4a>=20) fao_adq = 0.73 .
EXECUTE .

* Creation de la variable taille du menage.
COMPUTE hhsize = 1 .
EXECUTE .

* Creation de la variable equivalent adulte specifique a la guinee.
COMPUTE ctry_adq = 1 .
EXECUTE .

* selection des membres du menage (s1q11=1).
USE ALL.
COMPUTE filter_$=(s1q11=1).
VARIABLE LABEL filter_$ 's1q11=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* creation du fichier aggrege.
AGGREGATE
  /OUTFILE='C:\Eibep\AggrBudg\AggrData\HHtemp.sav'
  /BREAK=s0q1 s0q2 hid
  /hhsize = SUM(s1q11) /fao_adq = SUM(fao_adq) /ctry_adq = SUM(s1q11).

*ouverture du fichier de pondration.

GET
  FILE='C:\Eibep\AggrBudg\WorkData\EIBPOIDS2.SAV'.

*tri du fichier par mnage.
SORT CASES BY
  hid (A) .

*sauvegarde des donnes de pondrations.
SAVE OUTFILE='C:\Eibep\AggrBudg\WorkData\EIBPOIDS2.SAV'
  /COMPRESSED.

*ouverture du fichier aggrgation.
GET
  FILE='C:\Eibep\AggrBudg\AggrData\HHTEMP.SAV'.

*tri du fichier par identifiant du mnage.
SORT CASES BY
  hid (A) .

*sauvegarde des donnes aggrgation.
SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\HHTEMP.SAV'
  /COMPRESSED.

*union de fichiers.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\WorkData\EIBPOIDS2.SAV'
 /RENAME (s0q1 s0q2 = d0 d1)
 /BY hid
 /DROP= d0 d1.
EXECUTE.

COMPUTE wta_hh=hhweight*hhsize.
EXECUTE.

VAR LAB HID "Identifiant (ID) unique du mnage".
VAR LAB HHSIZE "Nombre total de personnes dans le mnage".
VAR LAB FAO_ADQ "Total des quivalents adultes FAO".
VAR LAB CTRY_ADQ "Total des quivalents adultes spcifiques au pays".
VAR LAB WTA_HH "Coefficient de pondration du mnage, (HHSIZE*pondrations population)".

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\HHSIZE.SAV'
 /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\AggrData\HHSIZE.SAV'.

ERASE FILE='C:\Eibep\AggrBudg\AggrData\HHTEMP.SAV'.
