* HHTEXP.SPS: Mamadou Louda Bah 24/09/2004.
*  Cre les fichiers des dpenses totales annuelles HHTEXP.SAV  partir des fichiers:.
*  EXFDBUY.SAV  EXFDPRD.SAV  EXEDU.SAV  EXHLTH.SAV  EXNFDFQ.SAV  EXNFDINFQ.SAV.

* Ouverture du fichier aggrg des donnes du mnage.
GET
  FILE='C:\Eibep\AggrBudg\AggrData\HHSIZE.SAV'.

DO IF (s0q2=2).
  COMPUTE MILIEU=1.
ELSE IF (s0q1=1).
  COMPUTE MILIEU=2.
ELSE.
  COMPUTE MILIEU=3.
END IF.
EXECUTE.

SORT CASES BY
  milieu (A) .

* Ajout des dfateurs rgionaux des produits alimentaires (FPINDEX) et des produits non alimentaires (NFPINDEX) .
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\WorkData\SEUILPAUV.SAV'
 /BY milieu.
EXECUTE.

* Dfateurs rgionaux des produits alimentaires (FPINDEX).
COMPUTE FPINDEX=INDEX.
EXECUTE.

* Dfateurs rgionaux des produits non alimentaires (NFPINDEX) .
COMPUTE NFPINDEX=INDEX.
EXECUTE.

* Indice des prix  la consommation de l'anne en cours avec XX comme anne de rfrence.
COMPUTE CPIXX=1.
EXECUTE.

SORT CASES BY
  s0q1 (A) s0q2 (A) hid (A).

* Dpense totale alimentaire (FDTOTBY)  partir du fichier EXFDBUY.SAV.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXFDBUY.SAV'
 /RENAME (fdalcby fdbevby fdbrdby fddairby fdfatsby fdfishby fdfrutby
  fdmeatby fdothby fdrecall fdrestby fdswtby fdvegby = d0 d1 d2 d3 d4
  d5 d6 d7 d8 d9 d10 d11 d12)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.

* Dpense totale alimentaire produite par le mnage (FDTOTPR)  partir de EXFDPRD.SAV.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXFDPRD.SAV'
 /RENAME (fdalcpr fdbevpr fdbrdpr fddairpr fdfatspr fdfishpr fdfrutpr
  fdmeatpr fdothpr fdswtpr fdvegpr = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10.
EXECUTE.

* Calcul de la dpense alimentaire totale du mnage (FDTEXP).
COMPUTE FDTEXP=SUM(FDTOTBY,FDTOTPR).
EXECUTE.

* Calcul de la dpense totale alimentaires du mnage en prix constants rgionaux(FDTEXPDR).
COMPUTE FDTEXPDR=FDTEXP/FPINDEX.
EXECUTE.

* Dpense scolaire totale du mnage aux prix locaux courants (EDTEXP)  partir de EXEDU.SAV.	
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXEDU.SAV'
 /RENAME (edagg edbooks edextra edmtnce edother edrmbrd edtrnsp edtuiton
  edunifms  = d0 d1 d2 d3 d4 d5 d6 d7 d8)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.

* Dpenses totales de sant du mnage aux prix locaux courants (HLTEXP)  partir de EXHLTH.SAV.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXHLTH.SAV'
 /RENAME (hlagg hlcnslt hlhospt hlinsure hlmedc hlother hlproc hltrsp 
  = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

* Loyer du mnage (NFDRNTHH) et Dpense totale du mnage en produits.
* non alimentaires frquents (NFDFTEXP) aux prix locaux courants   partir de EXNFDFQ.SAV.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXNFDFQ.SAV'
 /RENAME (nfdcloth nfdcomm nfdfmtn nfdfoth nfdinsur nfdrecre
  nfdrntac nfdrntif nfdrntim nfdtbac nfdtotpr nfdtrans nfdutil = d0 d1
  d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.
	
* Dpense totale du mnage en produits non alimentaires occasionnels (NFDITEXP).
* aux prix locaux courants  partir de EXNFDINFQ.SAV.
MATCH FILES /FILE=*
 /TABLE='C:\Eibep\AggrBudg\AggrData\EXNFDINFQ.SAV'
 /RENAME (nfdcerem nfdinves nfdioth nfdsappl nfdusevl = d0 d1 d2 d3 d4)
 /BY s0q1 s0q2 hid
 /DROP= d0 d1 d2 d3 d4.
EXECUTE.

* Calcul de la dpenses totale du mnage en produits non alimentaires aux prix locaux courants (NFDTEXP).
* y compris les dpenses en produits non alimentaires frquents et occasionnels.
COMPUTE NFDTEXP=SUM(EDTEXP, HLTEXP, NFDRNTHH, NFDFTEXP, NFDITEXP).

* Calcul des dpenses non alimentaires en prix constants rgionaux (NFDTEXDR).
COMPUTE NFDTEXDR=	NFDTEXP/NFPINDEX.

* Calcul de la dpense totale du mnage (HHTEXP) aux prix locaux courants.
COMPUTE  HHTEXP=SUM(FDTEXP,NFDTEXP).
	
* Calcul de la dpense totale du mnage en prix constants rgionaux (HHTEXPDR).
COMPUTE HHTEXPDR=SUM(FDTEXPDR,NFDTEXDR).
EXECUTE.

* Calcul de la dpense total du mnage en prix constants rgionaux de l'anne de rfrence XX (HHTEXPxx).
COMPUTE HHTEXPXX=HHTEXPDR/CPIXX.
EXECUTE.

* Calcul de la part des dpenses alimentaires (FDSHARE).
COMPUTE FDSHARE=100*(FDTEXP/HHTEXP).

* Calcul de la dpense du mnage par tte aux prix locaux courants (PCEXP).
COMPUTE PCEXP=HHTEXP/HHSIZE.

* Calcul de la dpense du mnage par tte aux prix constants rgionaux (PCEXPDR).
COMPUTE PCEXPDR=HHTEXPDR/HHSIZE.

* Calcul de la dpense du mnage par tte aux prix constants rgionaux de l'anne de rfrence XX  (PCEXPXX).
COMPUTE PCEXPXX=HHTEXPXX/HHSIZE.
EXECUTE.

* Calcul des quintiles du mnage(QUINTILE bas sur PCEXP et QUINTDR bas sur PCEXPDR).
* par milieu rural/urbain et pondr par pondre par "WTA_HH".

WEIGHT
  BY wta_hh .

 RANK
 VARIABLES=PCEXP PCEXPDR
   /RANK
   /NTILES (5) INTO QUINTILE QUINTDR
   /PRINT=YES
   /TIES=MEAN .

WEIGHT OFF.

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\HHTEXP.SAV'
  /DROP=RPCEXP RPCEXPDR MILIEU SEUILALI SEUILTOT SALICKRY STOTCKRY INDEX
  /COMPRESSED.

GET
  FILE='C:\Eibep\AggrBudg\AggrData\HHTEXP.SAV'.

VAR LAB HID "Identifiant (ID) unique du mnage".
VAR LAB HHSIZE "Nombre total de personnes dans le mnage".
VAR LAB FAO_ADQ "Total quivalents adultes FAO".
VAR LAB CTRY_ADQ "Total quivalents adultes spcifique au  pays".
VAR LAB WTA_HH "Coefficient de pondration individu du mnage".
VAR LAB HHWEIGHT "Coefficient de pondration du mnage".
VAR LAB FPINDEX "Dflateurs rgionaux des prix des aliments".
VAR LAB NFPINDEX "Dflateurs des prix des produits non alimentaires".
VAR LAB CPIXX "Indice des prix  la consommation des dpenses de l'anne en cours,  avec XX comme anne de rfrence".
VAR LAB FDTOTBY "Dpense totale alimentaire montaire aux prix locaux courants".
VAR LAB FDTOTPR "Valeur annuelle totale des denres alimentaires produites par le mnage aux prix locaux courants".
VAR LAB FDTEXP "Total des dpenses annuelles du mnage en produits alimentaires aux prix locaux courants".
VAR LAB FDTEXPDR "Total annuel des dpenses alimentaires du mnage en prix constants rgionaux".
VAR LAB EDTEXP "Les dpenses scolaires annuelles du mnage aux prix locaux courants".
VAR LAB HLTEXP "Dpenses sanitaires annuelles du mnage aux prix locaux courants".
VAR LAB NFDRNTHH "Loyer annuel du mnage aux prix locaux courants".
VAR LAB NFDFTEXP "Total des dpenses annuelles non alimentaires frquents aux prix locaux courants, hors loyer".
VAR LAB NFDITEXP "Dpenses annuelles non alimentaires occasionnels aux prix locaux courants".
VAR LAB NFDTEXP "Total des dpenses annuelles non alimentaires aux prix locaux courants".
VAR LAB NFDTEXDR "Total annuel des dpenses non alimentaires  en prix constants rgionaux".
VAR LAB HHTEXP "Total annuel des dpenses du mnage aux prix locaux courants".
VAR LAB HHTEXPDR "Total annuel des dpenses du mnage en prix constants rgionaux".
VAR LAB HHTEXPxx "Total annuel des dpenses du mnage en prix constants rgionaux ".
VAR LAB FDSHARE "La part des dpenses alimentaires".
VAR LAB PCEXP "Dpenses par tte aux prix locaux courants".
VAR LAB PCEXPDR "Dpenses par tte en prix constants  rgionaux".
VAR LAB PCEXPXX "Dpenses par tte aux prix constants rgionaux, XX tant l'anne de rfrence".
VAR LAB QUINTILE "Quintile bas sur PCEXP".
VAR LAB QUINTDR "Quintile".

formats hid(F8.0) hhsize(F2.0) .

RECODE
  fdtotby fdtotpr fdtexp fdtexpdr edtexp hltexp nfdrnthh nfdftexp nfditexp
  nfdtexp nfdtexdr hhtexp hhtexpdr hhtexpxx  (SYSMIS=0)  .
EXECUTE .

SAVE OUTFILE='C:\Eibep\AggrBudg\AggrData\HHTEXP.SAV'
  /COMPRESSED.
